From 8d9958f00ee2acda949026c5e17b8146a24b34f9 Mon Sep 17 00:00:00 2001
From: Xavier Lacot <xavier@lacot.org>
Date: Thu, 15 Mar 2012 15:26:44 +0100
Subject: [PATCH] fixed a small bug when saving data with a forced identifier

---
 joli.js | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/joli.js b/joli.js
index e87a21c..c177621 100644
--- a/joli.js
+++ b/joli.js
@@ -152,7 +152,7 @@ joli.Connection = function(database) {
 
 joli.Connection.prototype = {
     execute: function(query) {
-        // Titanium.API.log('debug', query);
+        // Titanium.API.log('info', query);
         return this.database.execute(query);
     },
     lastInsertRowId: function() {
@@ -763,7 +763,11 @@ joli.record.prototype = {
             data.originalData = this._originalData;
             this._options.table.save(data);
         } else if (this.isNew()) {
-            this._data.id = this._options.table.save(data);
+            var rowid = this._options.table.save(data);
+            
+            if (!data.id) {
+                this._data.id = rowid;
+            }
         }
 
         // overwrite original data so it is no longer "dirty" OR so it is no
